package omnigkgui;

/**
 * Title:        Citron Omni GateKeeper Graphic User Interface Version 1.0
 * Description:  This is the Citron's GateKeeper's user interface.
 *               Its purpose is to achieve using one interface, running everywhere !!
 * Copyright:    Copyright (c) 2001
 * Company:      Citron Inc.
 * @author      Huang, Hsiao-Mei
 * @version      1.0
 */

public interface OmniGkGUIConstants {
    /*
        this interface is used to declare the (global) application objects
        and variables, including constants ...
    */

    /** Shown Message String on Application */
    public static String LOG_TITLE_MSG = "Citron OpenH323 Gatekeeper Omni-GK GUI System ver 1.0 :\n\n";

    /** CDR Format Strings */
    public static String CALL_NUMBER = "Call Number";
    public static String START_TIME = "Start Time";
    public static String END_TIME = "End Time";
    public static String USE_TIME = "Use Time";
    public static String ACCOUNT = "Account";
    public static String DIALED_CODE = "Dialed Code";
    public static String CALLER_IP = "Caller IP";
    public static String CALLEE_IP = "Callee IP";

    /** Settings of Endpoint List Pane */
    // maximum number of endpoints shown on endpoint-list Pane
    public static int MAX_LIST_ENDPOINT_NUMS = 500;
    // number of increment spaces to expand when endpoint-list Pane has insufficient spaces
    public static int INCONCE_LIST_ENDPOINT_NUMS = 250;
    // the virtical gap size between two endpoints
    public static int LIST_ENDPOINT_V_GAP_SIZE = 3;
}
