package omnigkgui.util;

import java.io.*;
import java.util.*;

/**
 * Title:        Citron Omni GateKeeper Graphic User Interface Version 1.0
 * Description:  This is the Citron's GateKeeper's user interface.
 *               Its purpose is to achieve using one interface, running everywhere !!
 * Copyright:    Copyright (c) 2001
 * Company:      Citron Inc.
 * @author       Kau, Kuang-Jiue
 * @version      1.0
 */

public abstract class RASMessage {
    // data members
    private String msgType = null;

    /** default constructor */
    public RASMessage() {

    }

    /** abstract method needs to be implemented in sub-calass */
    public abstract void parseRASMsg();

    /** public accessors */
    public String getMsgType() {
        return msgType;
    }

    public void setMsgType(String _msgType) {
        if (!_msgType.equals("") && !(_msgType == null))
            msgType = _msgType;
    }

}